name: git-server
services:
  git-server:
    build:
      dockerfile: Dockerfile.caddy
    restart: unless-stopped
    ports:
      - "443:443"
      - "80:80"
    volumes:
      - ./Caddyfile:/etc/caddy/Caddyfile:ro
      - ./caddy_data:/data

      - ../PublicRepos:/git-repos:ro
      - ./caddy_config/gitconfig:/etc/gitconfig:ro
      - ./cgitrc:/cgitrc:ro
      - ./cgit.css:/usr/share/webapps/cgit/cgit.css:ro
      - ./syntax-highlighting.py:/usr/lib/cgit/filters/syntax-highlighting.py:ro
      - ./md2html:/usr/lib/cgit/filters/html-converters/md2html:ro
      - ./cgit-email-filter.sh:/usr/lib/cgit/filters/cgit-email-fitler.sh:ro
